View Issue Details

IDProjectCategoryView StatusLast Update
0001235Far ManagerDrive Menupublic2011-12-16 17:55
ReporterArtyAssigned To2useven10 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86OSWindowsOS Version7
Product Version2.0 
Target VersionFixed in Version3.0 
Summary0001235: Неверная работа Shift-Del на устройствах хранения с больше чем одним разделом
DescriptionДля переносных устройств хранения с больше чем одним разделом не определяются все буквы дисков, назначенные разделам. При этом такие устройства невозможно извлечь по Shift-Del на "не определенной" букве в меню выбора дисков.
Steps To Reproduce1. Подключен переносной диск WD, разбит на два раздела. Первому в системе назначен диск A:, второму - B:.
2. При нажатии Shift-Del на диске A: ничего не происходит.
3. При нажатии Shift-Del на диске B: выводится окно
╔═════ Удаление устройства ══════╗
║ Вы хотите удалить устройство ║
║ USB Mass Storage Device ║
║ WD 3200BEV External USB Device ║
║ (диск(и): B:) ║
║ Удалить Отменить ║
╚════════════════════════════════╝
в списке отсутствует диск A: (первый раздел).
В стандартном диалоге извлечения присутствуют оба диска.
4. Смена буквы диска для первого раздела ничего не дает.
Additional InformationFAR 2.0 build 1310 x86
Переносной диск был разбит на разделы и отформатирован стандартными средствами Windows, оба раздела Primary.

PS: Для FAR 1.75 build 2616 x86 актуально тоже самое, только "не определяется" диск B: (второй раздел).
TagsNo tags attached.
Build2301

Activities

Px

2010-01-06 22:57

reporter   bugnote:0004771

При наличии на диске Primary и Secondary разделов, меню извлечения появляется только на Primary

Arty

2011-10-20 16:02

reporter   bugnote:0007929

Баг всё ещё актуален для последних версий FAR, поэтому фикс для последней ревизии в svn:

Index: hotplug.cpp
===================================================================
--- hotplug.cpp (revision 6804)
+++ hotplug.cpp (working copy)
@@ -386,7 +386,7 @@
                     while (*p)
                     {
                         if (CM_Locate_DevNode(&hRelationDevInst, p, 0) == CR_SUCCESS)
- dwMask = GetDriveMaskFromMountPoints(hRelationDevInst);
+ dwMask |= GetDriveMaskFromMountPoints(hRelationDevInst);
 
                         p += wcslen(p)+1;
                     }

Похоже опечатка была небольшая..

Arty

2011-12-15 11:08

reporter   bugnote:0008157

Кто-нибудь может проверить фикс?

2useven10

2011-12-15 22:43

developer   bugnote:0008162

работает.
Build 2301

Issue History

Date Modified Username Field Change
2010-01-06 13:15 Arty New Issue
2010-01-06 22:57 Px Note Added: 0004771
2011-10-20 16:02 Arty Note Added: 0007929
2011-12-15 11:08 Arty Note Added: 0008157
2011-12-15 22:43 2useven10 Note Added: 0008162
2011-12-15 22:43 2useven10 Assigned To => 2useven10
2011-12-15 22:43 2useven10 Status new => feedback
2011-12-16 00:01 Px Status feedback => resolved
2011-12-16 17:55 2useven10 Build => 2301
2011-12-16 17:55 2useven10 Status resolved => closed
2011-12-16 17:55 2useven10 Resolution open => fixed
2011-12-16 17:55 2useven10 Fixed in Version => 3.0